"""dal URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""

from django.urls import path
from django.conf.urls import url
from django.contrib import admin

from .views import Register, ChangeData, ChangePassword, ResetPassword, DeleteAccount, Index

urlpatterns = [
#    path('admin/', admin.site.urls),
    path('register/', Register.as_view(), name="register"),
    path('changedata/', ChangeData.as_view(), name="change_data"),
    path('resetpassword/', ResetPassword.as_view(), name="reset_password"),
    path('changepassword/', ChangePassword.as_view(), name="change_password"),
    path('deleteaccount/', DeleteAccount.as_view(), name="account_delete"),
    path('index/', Index.as_view(), name="index"),
]
